PKGJS-AUDIT(1)

NAME
pkgjs-audit - pkgjs-audit

DESCRIPTION
Usage: pkgjs-audit <installed-module> # OR # pkgjs-audit -s <module> <version>

Unless -s option is used, pkgjs-audit searches for a pkgjs-lock.json file, if not found, it builds a temporary package-lock.json file using (dev)dependencies. Then it launches a "npm audit" using these files. This permits one to check vulnerabilities in case of bundled package.

If <module> is given, pkgjs-audit uses installed module, else it launch audit using current directory.

OPTIONS

-s: just query npmjs.org registry with a module name and its version

COPYRIGHT
Copyright © 2022 Xavier Guimard <yadd@debian.org>

Licensed under GPL-2+ (see /usr/share/common-licenses/GPL-2)